Nimbu Developer Docs
ReferenceCollections

Attach a product to a collection

POST
/collections/{collection_id}/products

Adds an existing product to the collection. Requires a master token and an admin user.

Authorization

AuthorizationBearer <token>

Personal access token tied to a user account. Requires the X-Nimbu-Site header to scope requests.

In: header

X-Nimbu-Site<token>

Identifier of the site context when authenticating with a personal access token.

In: header

Path Parameters

collection_id*string

Collection identifier

Request Body

application/json

Product to attach

TypeScript Definitions

Use the request body type in TypeScript.

product_id*string

Product identifier

Response Body

application/json

curl -X POST "https://example.com/collections/string/products" \  -H "Content-Type: application/json" \  -d '{    "product_id": "string"  }'
{
  "status": "string"
}
Empty
Empty